import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import {
  AggregateService,
  ColumnMenuService,
  FilterService,
  GridModule,
  GroupService,
  PageService,
  ResizeService,
  SortService,
  ToolbarService
} from '@syncfusion/ej2-angular-grids';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    HttpClientModule,
    GridModule
  ],

  providers: [AggregateService, ColumnMenuService, FilterService, GroupService, PageService, ResizeService, SortService, ToolbarService],

  bootstrap: [AppComponent]
})
export class AppModule { }
